# Class JyStilts

java.lang.Object
uk.ac.starlink.ttools.build.JyStilts

public class JyStilts extends Object
Writes a Jython module which facilitates use of STILTS functionality from Jython. The `main` method will write the jython source code to standard output.

Since:
  12 Feb 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`JyStilts(Stilts stilts)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Writes jython source code for a `stilts.py` module to standard output.
`void`
`writeModule(Writer writer)`
Outputs the python source code for the stilts module.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JyStilts

public JyStilts(Stilts stilts)
Constructor.

Parameters:
  `stilts` - stilts instance defining available tasks etc

## Method Details

### writeModule

public void writeModule(Writer writer) throws IOException, uk.ac.starlink.util.LoadException, SAXException
Outputs the python source code for the stilts module.

Parameters:
  `writer` - destination stream
Throws:
  `IOException`
  `uk.ac.starlink.util.LoadException`
  `SAXException`

### main

public static void main(String[] args) throws IOException, uk.ac.starlink.util.LoadException, SAXException
Writes jython source code for a `stilts.py` module to standard output. No arguments.

Throws:
  `IOException`
  `uk.ac.starlink.util.LoadException`
  `SAXException`